commit: cf7fba3015b944eef833262d9b2c292a430920a8
Author: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 18 00:06:18 2019 +0000
Commit: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Thu Jul 18 00:06:26 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf7fba30
dev-python/pytest-isort: Bump to 0.3.1
Implement tests. Bump EAPI to 7.
Package-Manager: Portage-2.3.66, Repoman-2.3.11
Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>
dev-python/pytest-isort/Manifest | 1 +
dev-python/pytest-isort/pytest-isort-0.3.1.ebuild | 29 +++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/pytest-isort/Manifest b/dev-python/pytest-isort/Manifest
index 389ce13e63d..b07e0096ce9 100644
--- a/dev-python/pytest-isort/Manifest
+++ b/dev-python/pytest-isort/Manifest
@@ -1 +1,2 @@
DIST pytest-isort-0.1.0.tar.gz 5502 BLAKE2B
9fb03759871d0dc35d53806ce460fe637b1580ed928e1e86485f1a0603b92042fea4972008aeadc890c79cfe42151e77a6628fc7856e4b230dc4e39293a8bb57
SHA512
86c964b6a998a32c9c474dde0a9400c45da8b26f3e8dd6f4092baa4bf1978a7f67a384bd910ec824f85a8ab49b4ea30967e1e7f908a31619ee88391d3505440b
+DIST pytest-isort-0.3.1.tar.gz 6429 BLAKE2B
cf68cfe061be097c576c9cb7ad0a808729aa03f031128d2d1064bc960c7aa27e0d94fc18c238d95ac2074f056ecb8fb33064f6f0311756c73ce8379d1b8317f9
SHA512
2fd39108a6acacf18ce68bb537d2adeb4ff7cd8ea4c9611e5312edea5a0bc4841111ffb544318aa7b3bebe38e9f4744f07a45b2ebcbf872f79003b249ee115ca
diff --git a/dev-python/pytest-isort/pytest-isort-0.3.1.ebuild
b/dev-python/pytest-isort/pytest-isort-0.3.1.ebuild
new file mode 100644
index 00000000000..4f49aee54ec
--- /dev/null
+++ b/dev-python/pytest-isort/pytest-isort-0.3.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="py.test plugin for isort"
+HOMEPAGE="https://github.com/moccu/${PN} https://pypi.python.org/pypi/${PN}"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-python/isort-4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-3.5[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ py.test -vs --cache-clear || die "testsuite failed under ${EPYTHON}"
+}